Subject: [i2rs] FW: [Rtg-dt-yang-arch] Fwd: I-D Action: draft-rtgyangdt-rtgwg-device-model-03.txt

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 24 Feb 2016 16:04:03 +0000

NETMOD and I2RS WGs,

Note that this discussion is going in the rtgwg WG. We see it as mechanism
to support varying schema hierarchies for anything from a host or
linux-based access router all the way up to the largest carrier class
router while sharing the same YANG data models.

Thanks,
Acee 

On 2/23/16, 9:40 PM, "Rtg-dt-yang-arch on behalf of Lou Berger"
<[email-masked] on behalf of [email-masked]> wrote:

>
>Hello,
>    This draft has been updated to use an emerging yang  capability
>called 'schema-mount' [1] which translates to a significant
>simplification.  To quote the draft:
>
>   Schema Mount enables a dramatic simplification of the presented
>   device model, particularly for "lower-end" devices which are unlikely
>   to support multiple network instances or logical network elements.
>   Should structural-mount/YSDL not be available, the more explicit tree
>   structure presented in earlier versions of this document will need to
>   be utilized.
>
>As it looks like there will soon be a netmod WG draft on schema mount,
>we think it's time to ask the WG to consider adopting our draft as a RTG
>WG draft.
>
>[1] There was a netmod interim on schema mount on Monday, see
>http://etherpad.tools.ietf.org:9000/p/netmod-interim-20160222
>
>Our slides from that meeting are available at
>https://www.ietf.org/proceedings/interim/2016/02/22/netmod/slides/slides-i
>nterim-2016-netmod-1-1.pptx
>and it gives a brief overview of the current draft.
>
>Lou (and co-authors)
>-------- Forwarded Message --------
>Subject: 	I-D Action: draft-rtgyangdt-rtgwg-device-model-03.txt
>Date: 	Tue, 23 Feb 2016 18:29:51 -0800
>From: 	[email-masked]
>Reply-To: 	[email-masked]
>To: 	[email-masked]
>
>
>
>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>
>
>        Title           : Network Device YANG Organizational Models
>        Authors         : Acee Lindem
>                          Lou Berger
>                          Dean Bogdanovic
>                          Christan Hopps
>	Filename        : draft-rtgyangdt-rtgwg-device-model-03.txt
>	Pages           : 36
>	Date            : 2016-02-23
>
>Abstract:
>   This document presents an approach for organizing YANG models in a
>   comprehensive structure that may be used to configure and operate
>   network devices.  The structure is itself represented as a YANG
>   model, with all of the related component models logically organized
>   in a way that is operationally intuitive, but this model is not
>   expected to be implemented.  The identified component modules are
>   expected to be defined and implemented on common network devices.
>
>   This document also defines two modules that can be used to model the
>   logical and virtual resource representations that may be present on a
>   network device.  Examples of common industry terms for logical
>   resource representations are Logical Systems or Routers.  Examples of
>   of common industry terms for virtual resource representations are
>   Virtual Routing and Forwarding (VRF) instances and Virtual Switch
>   Instances (VSIs).
>
>   This document is derived from work submitted to the IETF by members
>   of the informal OpenConfig working group of network operators and is
>   a product of the Routing Area YANG Architecture design team.
>
>
>The IETF datatracker status page for this draft is:
>https://datatracker.ietf.org/doc/draft-rtgyangdt-rtgwg-device-model/
>
>There's also a htmlized version available at:
>https://tools.ietf.org/html/draft-rtgyangdt-rtgwg-device-model-03
>
>A diff from the previous version is available at:
>https://www.ietf.org/rfcdiff?url2=draft-rtgyangdt-rtgwg-device-model-03
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>Internet-Drafts are also available by anonymous FTP at:
>ftp://ftp.ietf.org/internet-drafts/
>
>_______________________________________________
>I-D-Announce mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/i-d-announce
>Internet-Draft directories: http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>
>
>_______________________________________________
>Rtg-dt-yang-arch mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/rtg-dt-yang-arch